Subject: Re: bug#35969: 26.2, Excorporate

From: Thomas Fitzsimmons <[email-masked]>
Date: Thu, 15 Aug 2019 23:40:55 -0400

Thomas Fitzsimmons <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> On Jul 31 2019, Thomas Fitzsimmons <[email-masked]> wrote:
>>
>>> Andreas, do you have a test case that patch A fixed, and if so, can
>>> you retest with the proposed fix?
>>
>> Any https request over proxy will do.
>
> OK, I tested the attached patch; it works for a request to an uncached
> HTTPS website, and it works for Excorporate accessing an HTTPS server.
>
> I moved the URL form logic to url-http-create-request because that
> function refers to using-proxy (set to url-http-proxy on entry) in
> multiple places, not just during URL recreation.  When
> url-https-proxy-after-change-function was setting using-proxy to nil for
> the entire duration of the url-http-create-request, it was interfering
> with "Connection" handling later in the function:
>
>    "Connection: " (if (or using-proxy
>                           (not url-http-attempt-keepalives))
>                       "close" "keep-alive")
>
> Does this look OK to push to master?

I didn't hear any objections, so I pushed the change.

Thanks,
Thomas